<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.0
	 */

	/**
	 * eBag production phases loader into memory
	 */

	class PHASEloader	{
	
		var $PHASE = array();

		function __construct($apc=FALSE, $reload=FALSE)	{

			global $__SQL;

			if (! function_exists('apc_fetch')) $apc = FALSE;

			if ($apc)	{
			
				if ((! $reload) && apc_exists('eBagPHASES'))	{
			
					$this->PHASE = apc_fetch('eBagPHASES');
					
					return;
				}
			}

			$__SQL->query("SELECT * FROM ebag.production_phases ORDER BY `personID` ");

			if (! $__SQL->num_rows()) exit('Fatal error: phases not found ! Please contact your system administrator !');
			
			while ($row = $__SQL->RESULT->fetch_assoc()) 	{

				$this->PHASE['phases'][$row['personID']] = $row['phase'];

				# store default

				if ($row['default']) $this->PHASE['default'] = $row['personID'];
			}

			# store phases

			$__SQL->free();
			
			if ($apc) apc_store('eBagPHASES', (array)$this->PHASE, 0);

		}

		/**
		 * Returns phases
		 */

		public function getall()	{

			return (array)$this->PHASE['phases'];
		}

		/**
		 * Returns default phase
 		 */

		public function getdefault()	{

			return (string)$this->PHASE['default'];
		}
	}


?>
