<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag item related bonuses to employees
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	check_year_for_write('salarys');

	pagepermission('salarys', 'w');

	if (isset($_POST['selected']))	{
	
		foreach (array(	1=>'bonus_percent_production', 2=>'bonus_fix_production', 
				3=>'bonus_percent_services', 4=>'bonus_fix_services', 
				5=>'bonus_percent_product_sell', 6=>'bonus_fix_product_sell', 
				7=>'bonus_percent_service_sell', 8=>'bonus_fix_service_sell') as $key=>$val) $bonus_types[$key] = $__LANG->get($val);

		$view	=	new View('items_bonuses');

		$view	->	assign('SELF', backward());
		$view	->	assign('ITEM_RELATED_BONUS', $__LANG->get('item_related_bonus'));
		$view	->	assign('NUMBER', $__LANG->get('personIDlong'));
		$view	->	assign('EMPLOYEE_NO', $__LANG->get('employee_no', $_POST['employeeID']));
		$view	->	assign('EMPLOYEE_NAME', $__LANG->get('lastname'));
		
		$view	->	assign('STOCK_TYPE', $__LANG->get('stockitemtype'));
		$view	->	assign('ARTICLE', $__LANG->get('artical'));
		$view	->	assign('SERVICE', $__LANG->get('service'));
		
		$view	->	assign('BONUS_TYPES', $bonus_types);
		$view	->	assign('ITEM_CODE', $__LANG->get('code'));
		$view	->	assign('ITEM_NAME', $__LANG->get('name'));
		$view	->	assign('BONUS_TYPE', $__LANG->get('type'));
		$view	->	assign('BONUS_VALUE', $__LANG->get('value'));
		$view	->	assign('NOTICE', $__LANG->get('bonus_set_notice'));
		
		$view	->	assign('NOT_FOUND_MSG', $__LANG->get('notfound'));
		$view	->	assign('UNSET_MSG', $__LANG->get('bonusisunset'));
		$view	->	assign('SET_MSG', $__LANG->get('bonusisset'));
		$view	->	assign('SET', $__LANG->get('bonus_set'));
		$view	->	assign('TYPE_MISMATCH_MSG', $__LANG->get('bonustypemismatch'));
		$view	->	assign('INVALID_BONUS_MSG', $__LANG->get('invalidbonusvalue'));
		$view	->	assign('NOT_PRODUCT_MSG', $__LANG->get('isnotproduct'));
		$view	->	assign('RESET', $__LANG->get('reset'));
		$view	->	assign('CANCEL', $__LANG->get('cancel'));
		$view	->	assign('BACKTO', backward());
		
		$_POST['employee_id'] = $_POST['employeeID'];

		$view	->	display();

		exit;
	}

	# display employee select form
	
	load_c('SQL');

	$__SQL	= new SQL();

	load_m('employeesread');

	$__EMPLOYEES	=	new EMPLOYEESREAD();

	$EMPLOYEES	=	$__EMPLOYEES->read();

	unset($__EMPLOYEES);

	if (! $EMPLOYEES)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('noemployees'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('employeeselect');

	$view	->	assign('SELECTEMPLOYEE', $__LANG->get('selectemployee'));
	$view	->	assign('NAME', $__LANG->get('employeename'));
	$view	->	assign('EMPLOYEES', $EMPLOYEES); unset($EMPLOYEES);
	$view	->	assign('OK', $__LANG->get('ok'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=salarys');
	
	unset($__SQL);

	$view	->	display();

?>
