<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag checks inventory existens & forms command to print it
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class INVENTORYPRINT	{

		function __construct()		{

			global $__SQL, $__CONF;

			$this->SQL		=	&$__SQL;

			$this->FORMAT		=	$__CONF->get('date', 'sql_format');

			$this->BASE		=	$_SESSION['BASE'];

			$this->STOCKBASE	=	'ebagstock';
			
			$this->EMPTY_LIST 	= 	FALSE;
		}
		
		public function stock($stocktable)	{
		
			$this->STOCKTABLE = $stocktable;
		}
		
		public function inventoryID($id_requested)	{
		
			$this->ID = $id_requested;
		}
		
		public function emptylist()	{
		
			$this->EMPTY_LIST = TRUE;
		}

		public function form_print_command()	{
		
			if ($this->EMPTY_LIST)	{
			
				# read all items for empty list
			
				$this->SQL->query("	SELECT `personID` 
							FROM $this->STOCKBASE.$this->STOCKTABLE
							WHERE `deleted` IS NOT NULL LIMIT 1	");

				if (! $this->SQL->num_rows()) return FALSE;
				
				$names	=	array('finished_goods_stock' 	=>	'articalname',
						      'feedstock'		=>	'feedstockname',
						      'operating_suplies'	=>	'supliename');
				
				$_SESSION['COMMAND'] = "	SELECT `code`, `{$names[$this->STOCKTABLE]}` as `name`, `dimensions`, `quantity`, 
								'<div class=\"empty\"></div>' as '_empty_span_'
								FROM $this->STOCKBASE.$this->STOCKTABLE
								WHERE `deleted` IS NOT NULL";
								
			}	else	{
			
				# read defined inventory

				$this->SQL->query("	SELECT `personID` 
							FROM $this->BASE.inventory_header
							WHERE `personID`='$this->ID' AND `stock`='$this->STOCKTABLE' AND `deleted` IS NOT NULL LIMIT 1	");

				if (! $this->SQL->num_rows()) return FALSE;

				$_SESSION['COMMAND'] = "	SELECT SQL_CALC_FOUND_ROWS 	inventory_data.inventoryID, 
											DATE_FORMAT(inventory_header.date_of_creation, '$this->FORMAT') AS `date_of_creation`,
											employees.employeename, 
											$this->STOCKTABLE.code,
											inventory_data.quantity_before, 
											inventory_data.quantity_after
							FROM $this->BASE.inventory_data 
							INNER JOIN $this->BASE.inventory_header
							ON $this->BASE.inventory_data.inventoryID=$this->BASE.inventory_header.personID
							INNER JOIN $this->STOCKBASE.$this->STOCKTABLE
							ON inventory_data.stockID=$this->STOCKTABLE.personID
							INNER JOIN $this->BASE.employees
							ON $this->BASE.inventory_header.employeeID=$this->BASE.employees.personID
							WHERE 	inventory_data.inventoryID='$this->ID'
								AND inventory_header.stock='$this->STOCKTABLE'
								AND inventory_header.deleted IS NOT NULL
								AND inventory_data.deleted IS NOT NULL 
								AND employees.deleted is NOT NULL
								AND $this->STOCKTABLE.deleted IS NOT NULL 
							ORDER BY inventory_data.personID ";
			}

			return '<script type="text/javascript">window.open(\'../controllers/print.php?id=all\')</script>';

		}
	}
?>
